- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VSDPages Class Reference

`#include <VSDPages.h>`

## Public Member Functions
| VSDPages ()
| ~VSDPages ()
void | addPage (const VSDPage &page)
void | addBackgroundPage (const VSDPage &page)
void | draw (libwpg::WPGPaintInterface *painter)

## Private Member Functions
void | _drawWithBackground (libwpg::WPGPaintInterface *painter, const VSDPage &page)

## Private Attributes
std::vector< VSDPage > | m_pages
std::map< unsigned, VSDPage > | m_backgroundPages

## Constructor & Destructor Documentation

libvisio::VSDPages::VSDPages | ( |  | ) |

libvisio::VSDPages::~VSDPages | ( |  | ) |

## Member Function Documentation

void libvisio::VSDPages::_drawWithBackground | ( | libwpg::WPGPaintInterface * | painter,
|  | const VSDPage & | page
| ) |  |
| private

void libvisio::VSDPages::addBackgroundPage | ( | const VSDPage & | page | ) |

void libvisio::VSDPages::addPage | ( | const VSDPage & | page | ) |

void libvisio::VSDPages::draw | ( | libwpg::WPGPaintInterface * | painter | ) |

## Member Data Documentation

std::map<unsigned, VSDPage> libvisio::VSDPages::m_backgroundPages
| private

std::vector<VSDPage> libvisio::VSDPages::m_pages
| private

The documentation for this class was generated from the following files:

- VSDPages.h
- VSDPages.cpp